Subject: Re: [PATCH v5 2/4] gpio: Allow PC/104 devices on X86_64

From: Greg KH <[email-masked]>
Date: Fri, 17 Jun 2016 20:18:10 -0700

On Fri, Jun 17, 2016 at 10:49:59PM -0400, William Breathitt Gray wrote:
> On Fri, Jun 17, 2016 at 07:36:07PM -0700, Greg KH wrote:
> >On Fri, Jun 17, 2016 at 12:47:14PM +0200, Thorsten Leemhuis wrote:
> >> On 31.05.2016 17:25, Greg KH wrote:
> >> > On Tue, May 31, 2016 at 07:23:06AM -0400, William Breathitt Gray wrote:
> >> >> On Tue, May 31, 2016 at 10:41:49AM +0200, Linus Walleij wrote:
> >> >>> On Sat, May 28, 2016 at 12:08 AM, William Breathitt Gray
> >> >>> <[email-masked]> wrote:
> >> >>>> With the introduction of the ISA_BUS_API Kconfig option, ISA-style
> >> >>>> drivers may be built for X86_64 architectures. This patch changes the
> >> >>>> ISA Kconfig option dependency of the PC/104 drivers to ISA_BUS_API, thus
> >> >>>> allowing them to build for X86_64 as they are expected to.
> >> > […]
> >> >> Greg K-H,
> >> >>
> >> >> Would you be able to pick up this entire patchset via driver-core; I
> >> >> figure that tree is the most appropriate to receive any core ISA bus
> >> >> driver changes (unless you see a more fitting path to take).
> >> > […]
> >> > Yes, I can take this through the driver core tree as that's where the
> >> > original series came from...
> >> 
> >> Was this series merged or did it fell through the cracks? I currently
> >> assume the latter, as I can't see it in neither mainline nor linux-next
> >> (but maybe I'm missing something). Just wondering, because I have this
> >> issue on my regression list for 4.7.
> >> 
> >> For the whole context see:
> >> http://thread.gmane.org/gmane.linux.kernel.gpio/17016/
> >> 
> >> Sincerely, your regression tracker for Linux 4.7 (http://bit.ly/28JRmJo)
> >
> >I don't think this is a regression, I was going to queue these up for
> >4.8-rc1.  As it is now, 4.7-rc is working just fine in this regards,
> >right?
> >
> >Or am I missing something?
> 
> The PC/104 drivers were changed to utilize the ISA bus driver as part of
> the original patchset which attempted to decouple the X86_32 dependency
> from the ISA Kconfig option; these drivers were updated with the
> intention of building on X86_64 in addition to X86_32.
> 
> However, the respective patches were merged without the decoupling
> changes (since decoupling was the wrong approach), resulting in an
> unintentional regression: the PC/104 drivers are now restricted to
> X86_32 due to the ISA Kconfig option dependency, while they were capable
> of building for X86_64 in previous kernel versions.
> 
> This patchset should fix this regression by introducing the ISA_BUS_API
> Kconfig option, and the respective Kconfig dependency changes for the
> drivers, in order to allow them to build for both X86_64 and X86_32 as
> originally capable.

Ah, ok, that makes more sense, thanks.  I'll go queue these up now.

greg k-h
--
To unsubscribe from this list: send the line "unsubscribe linux-gpio" in
the body of a message to [email-masked]
More majordomo info at  http://vger.kernel.org/majordomo-info.html